Subject: Re: bug#33359: On emacs-clang-format

From: Pierre Neidhardt <[email-masked]>
Date: Wed, 14 Nov 2018 11:48:50 +0100

That's absolutely right, I didn't know clang packaged it already.

Here is the listing.

--8<---------------cut here---------------start------------->8---
> ls -1 /gnu/store/...-clang-6.0.1/share/clang
bash-autocomplete.sh
clang-format-bbedit.applescript
clang-format-diff.py
clang-format-sublime.py
clang-format.el
clang-format.py
clang-rename.el
clang-rename.py
--8<---------------cut here---------------end--------------->8---

Not should we fix the Emacs package, but also the Vim .py files, the
Sublime+bbedit extensions (which we can discard I guess) and the Bash
completion.

I see a few ways we can proceed:

- Deprecate emacs-clang-format.

  - Use emacs-clang-tooling as suggested by Tim.

  - Use clang as it is and fix the installation of the share folder.
    
  - Use clang:emacs output and clang:vim output.

- Keep emacs-clang-format but use the Clang source (as per Tim suggestion), and
  add emacs-clang-rename from the same source.

In all cases we need to fix the installation of the Bash completion file and
maybe to discard the Sublime+bbedit extensions.

> : - The license is incorrect. The version that is cloned from github
> :   also seems to have some licensing issues (Missing full license...)

Which license?

-- 
Pierre Neidhardt
https://ambrevar.xyz/